> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Data Source Audit Data

> Gets Data Source audit data given filter input parameters



## OpenAPI

````yaml /api-specs/6.3/public-api.json get /api/datasource/v1/audit
openapi: 3.0.3
info:
  title: Domino Public API
  description: Reference for Domino's public REST API endpoints.
  version: 6.3.1
  x-catalog-key: nucleus
servers:
  - url: https://mycluster.domino.tech
    description: >-
      Replace 'mycluster.domino.tech' with your Domino cluster hostname. For
      Domino Cloud customers, that is `your-subdomain`.domino.tech (e.g.,
      acme.domino.tech). For self-hosted deployments, it is the hostname you
      reach the Domino UI at.
security: []
tags:
  - name: Projects
  - name: Project templates
  - name: Workspaces
  - name: Jobs
  - name: HPC Jobs
  - name: Environments
  - name: Hardware Tiers
  - name: Datasets
  - name: Data Sources
  - name: AI Gateway
  - name: GenAI
  - name: AI Systems
  - name: Apps
  - name: App versions
  - name: App instances
  - name: Model APIs
  - name: Registered models
  - name: Model deployment
  - name: Extensions
  - name: Cost and billing
  - name: Users and organizations
  - name: Service accounts
  - name: Personal Access Tokens
  - name: Personal Access Tokens (admin)
  - name: Audit Trail
  - name: Custom metrics
  - name: PPM
  - name: Model Monitoring models
  - name: Model Monitoring drift and quality
  - name: Model Monitoring settings
  - name: Model Monitoring authentication
  - name: Governance bundles
  - name: Governance policies
  - name: Governance evidence and results
  - name: Governance operations
  - name: NetApp Volumes
  - name: NetApp Volumes snapshots
  - name: NetApp Volumes filesystems
  - name: NetApp Volumes transfers
  - name: Tags
  - name: Properties
externalDocs:
  description: OpenAPI
  url: https://swagger.io/resources/open-api/
paths:
  /api/datasource/v1/audit:
    get:
      tags:
        - Data Sources
      summary: Get Data Source Audit Data
      description: Gets Data Source audit data given filter input parameters
      operationId: getDataSourceAuditData
      parameters:
        - description: Data Source IDs to query audit data for
          in: query
          name: dataSourceIds
          required: false
          schema:
            items:
              type: string
            type: array
        - description: Data Source names to query audit data for
          in: query
          name: dataSourceNames
          required: false
          schema:
            items:
              type: string
            type: array
        - description: >-
            events to query - AccessDataSource, CreateDataSource,
            DataSourceAssociatedToProject, DataSourceDissociatedFromProject,
            DataSourceChangeOfOwnership, DataSourceChangeOfPermissions,
            DeleteDataSource
          in: query
          name: eventKinds
          required: false
          schema:
            items:
              type: string
            type: array
        - description: Start time (iso8601)
          in: query
          name: startTime
          required: false
          schema:
            format: date-time
            type: string
        - description: End time (iso8601)
          in: query
          name: endTime
          required: false
          schema:
            format: date-time
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/DataSourceAuditDataV1'
                type: array
          description: Success
        '400':
          $ref: '#/components/responses/400'
        '401':
          $ref: '#/components/responses/401'
        '403':
          $ref: '#/components/responses/403'
        '404':
          $ref: '#/components/responses/404'
        '500':
          $ref: '#/components/responses/500'
      security:
        - DominoApiKey: []
        - BearerAuthentication: []
components:
  schemas:
    DataSourceAuditDataV1:
      properties:
        dataSourceId:
          description: ID of the Data Source
          type: string
        dataSourceName:
          description: name of the Data Source
          type: string
        dataSourceType:
          $ref: '#/components/schemas/DataSourceTypeV1'
        eventKind:
          $ref: '#/components/schemas/DataSourceAuditEventKindV1'
        metadata:
          $ref: '#/components/schemas/DataSourceAuditMetadataV1'
        performedBy:
          description: ID of user who performed the event
          type: string
        timestamp:
          description: timestamp of when event was performed
          example: '1996-07-19T03:13:44.467Z'
          format: date-time
          type: string
      required:
        - dataSourceId
        - dataSourceName
        - dataSourceType
        - eventKind
        - metadata
        - performedBy
        - timestamp
      type: object
    DataSourceTypeV1:
      description: The configuration type of the Data Source
      example: ADLSConfig
      type: string
    DataSourceAuditEventKindV1:
      description: Kinds of Data Source audit events
      enum:
        - AccessDataSource
        - CreateDataSource
        - DataSourceAssociatedToProject
        - DataSourceDissociatedFromProject
        - DataSourceChangeOfOwnership
        - DataSourceChangeOfPermissions
        - DeleteDataSource
      type: string
    DataSourceAuditMetadataV1:
      additionalProperties:
        type: string
      description: A map of string -> string
      example:
        foo: bar
      type: object
    ErrorV1:
      properties:
        code:
          description: Machine-readable error code.
          example: NOT_FOUND
          type: string
        message:
          description: Human-readable description of the error.
          example: The requested HPC Job could not be found.
          type: string
      required:
        - message
      type: object
  responses:
    '400':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
            type: object
      description: Bad Request
    '401':
      content:
        application/json:
          example:
            code: UNAUTHORIZED
            message: Authentication is required to access this resource.
          schema:
            $ref: '#/components/schemas/ErrorV1'
      description: Unauthorized - authentication is required or has failed.
    '403':
      content:
        application/json:
          example:
            code: FORBIDDEN
            message: You do not have permission to perform this action.
          schema:
            $ref: '#/components/schemas/ErrorV1'
      description: Forbidden - the caller lacks permission to perform this action.
    '404':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
            type: object
      description: Not Found
    '500':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
            type: object
      description: Internal Server Error
  securitySchemes:
    DominoApiKey:
      type: apiKey
      in: header
      name: X-Domino-Api-Key
    BearerAuthentication:
      type: apiKey
      name: Authorization
      in: header

````

## Related topics

- [Audit Trail Data Glossary](/6.3/platform-capabilities/features/governance/audit-trail/audit-trail-glossary.md)
- [Domino Data Sources](/6.3/platform-capabilities/core-concepts/data/data-source-connectors/index.md)
- [Get AI Gateway Audit Data](/6.3/api-reference/ai-gateway/get-ai-gateway-audit-data.md)
- [Monitor Data Source logs](/6.3/admin/operations/audit-logs/monitor-data-source-logs.md)
